function [warpsXf, warpsYf] = getWarping(m, n, blockx, blocky, b, deltapsReals)
% Created by Yuandong Tian, Oct. 5, 2009
% Email: yuandong@andrew.cmu.edu
% same as getWarpFromStitch.m, but with gaussian blurring to alleviate boundary effects.

gf = fspecial('gaussian', [11, 11], 4);

[warpsX, warpsY] = getWarpFromStitch([m, n], blockx, blocky, b, deltapsReals);
warpsXf = imfilter(warpsX, gf, 'same');
warpsYf = imfilter(warpsY, gf, 'same');
